export { adapters } from "./adapters";
export { either, eitherRules } from "./either";
export { inEmailFormat, inEmailFormatRules } from "./inEmailFormat";
export { inStringLength, inStringLengthRules } from "./inStringLength";
export { isRequired, isRequiredRules } from "./isRequired";
export { oneOf, oneOfRules } from "./oneOf";
export { typeOf, typeOfRules } from "./typeOf";
export declare const Validators: {
    either: import("corevalidationjs").IValidator<import("./either").eitherRules, any, any, {
        [key: string]: any;
    }>;
    inEmailFormat: import("corevalidationjs").IValidator<import("./inEmailFormat").inEmailFormatRules, string, any, {
        [key: string]: any;
    }>;
    inStringLength: import("corevalidationjs").IValidator<import("./inStringLength").inStringLengthRules, any, any, {
        [key: string]: any;
    }>;
    isRequired: import("corevalidationjs").IValidator<boolean, any, any, {
        [key: string]: any;
    }>;
    oneOf: import("corevalidationjs").IValidator<import("./oneOf").oneOfRules, string, any, {
        [key: string]: any;
    }>;
    typeOf: import("corevalidationjs").IValidator<string | string[], any, any, {
        [key: string]: any;
    }>;
};
export default Validators;
