"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validators = exports.typeOf = exports.oneOf = exports.isRequired = exports.inStringLength = exports.inEmailFormat = exports.either = exports.adapters = void 0;
const either_1 = require("./either");
const inEmailFormat_1 = require("./inEmailFormat");
const inStringLength_1 = require("./inStringLength");
const isRequired_1 = require("./isRequired");
const oneOf_1 = require("./oneOf");
const typeOf_1 = require("./typeOf");
var adapters_1 = require("./adapters");
Object.defineProperty(exports, "adapters", { enumerable: true, get: function () { return adapters_1.adapters; } });
var either_2 = require("./either");
Object.defineProperty(exports, "either", { enumerable: true, get: function () { return either_2.either; } });
var inEmailFormat_2 = require("./inEmailFormat");
Object.defineProperty(exports, "inEmailFormat", { enumerable: true, get: function () { return inEmailFormat_2.inEmailFormat; } });
var inStringLength_2 = require("./inStringLength");
Object.defineProperty(exports, "inStringLength", { enumerable: true, get: function () { return inStringLength_2.inStringLength; } });
var isRequired_2 = require("./isRequired");
Object.defineProperty(exports, "isRequired", { enumerable: true, get: function () { return isRequired_2.isRequired; } });
var oneOf_2 = require("./oneOf");
Object.defineProperty(exports, "oneOf", { enumerable: true, get: function () { return oneOf_2.oneOf; } });
var typeOf_2 = require("./typeOf");
Object.defineProperty(exports, "typeOf", { enumerable: true, get: function () { return typeOf_2.typeOf; } });
exports.Validators = {
    either: either_1.either,
    inEmailFormat: inEmailFormat_1.inEmailFormat,
    inStringLength: inStringLength_1.inStringLength,
    isRequired: isRequired_1.isRequired,
    oneOf: oneOf_1.oneOf,
    typeOf: typeOf_1.typeOf,
};
exports.default = exports.Validators;
Object.freeze(exports.Validators);
//# sourceMappingURL=index.js.map