"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeOf = void 0;
exports.typeOf = {
    message: (name, rules) => Array.isArray(rules) ?
        `[${name}] must be a type of [${rules.join(", ")}].` :
        `[${name}] must be a type of [${rules}].`,
    validate: (value, rules) => {
        if (value === undefined) {
            return true;
        }
        const Rules = Array.isArray(rules) ? rules : [rules];
        const valueType = Array.isArray(value) ? "array" : typeof value;
        return (Rules.indexOf(valueType) > -1);
    },
};
//# sourceMappingURL=index.js.map