"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const either_1 = require("./either");
const inEmailFormat_1 = require("./inEmailFormat");
const inStringLength_1 = require("./inStringLength");
const isRequired_1 = require("./isRequired");
const oneOf_1 = require("./oneOf");
const typeOf_1 = require("./typeOf");
const Validators = {
    either: either_1.either,
    inEmailFormat: inEmailFormat_1.inEmailFormat,
    inStringLength: inStringLength_1.inStringLength,
    isRequired: isRequired_1.isRequired,
    oneOf: oneOf_1.oneOf,
    typeOf: typeOf_1.typeOf,
};
module.exports = Validators;
Object.freeze(Validators);
//# sourceMappingURL=validators.js.map